{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>😎YTG {{ test }}</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/5.2/examples/checkout/">
    <link href="{% static '/assets/dist/css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/assets/form-validation.css' %}" rel="stylesheet">
  </head>

  <body class="bg-light">
    <div class="container">
      <main>
        <div class="py-5 text-center">
          <img class="d-block mx-auto mb-4" src="{% static '/assets/brand/bootstrap-logo.svg' %}" alt="" width="72" height="57">
          <h2>НЕ ПОДПИСКИ</h2>
          <p class="lead">Сервис позволяет получать новые видео на выбранных ютюб-каналах себе в телеграм бот</p>
        </div>

        <div class="row g-5">
          <div class="col-md-5 col-lg-4 order-md-last">
            <h4 class="d-flex justify-content-between align-items-center mb-3">
              <span class="text-primary">Your cart</span>
              <span class="badge bg-primary rounded-pill">3</span>
            </h4>
            <ul class="list-group mb-3">
              <li class="list-group-item d-flex justify-content-between lh-sm">
                <div>
                  <h6 class="my-0">Product name</h6>
                  <small class="text-muted">Brief description</small>
                </div>
                <span class="text-muted">$12</span>
              </li>
              <li class="list-group-item d-flex justify-content-between lh-sm">
                <div>
                  <h6 class="my-0">Second product</h6>
                  <small class="text-muted">Brief description</small>
                </div>
                <span class="text-muted">$8</span>
              </li>
              <li class="list-group-item d-flex justify-content-between lh-sm">
                <div>
                  <h6 class="my-0">Third item</h6>
                  <small class="text-muted">Brief description</small>
                </div>
                <span class="text-muted">$5</span>
              </li>
              <li class="list-group-item d-flex justify-content-between bg-light">
                <div class="text-success">
                  <h6 class="my-0">Promo code</h6>
                  <small>EXAMPLECODE</small>
                </div>
                <span class="text-success">−$5</span>
              </li>
              <li class="list-group-item d-flex justify-content-between">
                <span>Total (USD)</span>
                <strong>$20</strong>
              </li>
            </ul>

            <form class="card p-2" name="test_form" method="post" action="/">
              <div class="input-group">
                <input type="text" class="form-control" placeholder="Promo code" name="yt_link">
                <button type="submit" class="btn btn-secondary" name ="message_frm">Redeem</button>
              </div>
            </form>
          </div>
          <div class="col-md-7 col-lg-8">
            <h4 class="mb-3">YouTube link</h4>
            <form class="card p-2" name="test_form" method="post" action="/">
              <div class="row g-3">
                <div class="input-group"  onclick="Clear231Fields();">
                  <input type="text" class="form-control" value="{{ yt_link }}" placeholder="Youtube Video or Youtube Channel link" name="yt_link">
                  <button type="submit" class="btn btn-secondary" name ="message_frm">Next Step</button>
                </div>
              </div>
            </form>

            {% if show_channel_form %}
            <h4 class="mb-3 channelinfo">Channel info {{ ch_db }}</h4>
            <form class="needs-validation" novalidate>
              <div class="row g-3">
                <div class="col-sm-6">
                  <label for="lastName" class="form-label">Title</label>
                  <input type="text" class="form-control" id="lastName" placeholder="" value="{{ ch.title }}" readonly>
                  <br>
                  <label for="firstName" class="form-label">Channel ID</label>
                  <input type="text" class="form-control" id="firstName" placeholder="" value="{{ ch.cid }}" readonly>
                  <br>
                  <label for="publishedAt" class="form-label">Date register</label>
                  <input type="text" class="form-control" id="publishedAt" value="{{ ch.publishedAt }}" readonly>
                </div>
                <div class="col-sm-6">
                  <img class="rounded-circle" id="logo" alt="100x100" src="{{ ch.thumbnails }}">
                </div>
                <div class="col-sm-4">
                  <label for="videoCount" class="form-label">videoCount</label>
                  <input type="text" class="form-control" id="videoCount" value="{{ ch.videoCount }}" readonly>
                </div>
                <div class="col-sm-4">
                  <label for="subscriberCount" class="form-label">subscriberCount</label>
                  <input type="text" class="form-control" id="subscriberCount" value="{{ ch.subscriberCount }}" readonly>
                </div>
                <div class="col-sm-4">
                  <label for="viewCount" class="form-label">viewCount</label>
                  <input type="text" class="form-control" id="viewCount" value="{{ ch.viewCount }}" readonly>
                </div>
                <div class="col-12">
                  <label for="username" class="form-label">Description</label>
                  <textarea class="form-control" id="username" rows="4" readonly>{{ ch.description }}</textarea>
                </div>

                <div class="col-md-5">
                  <label for="country" class="form-label">Country</label>
                  <select class="form-select" id="country" required>
                    <option value="">Choose...</option>
                    <option>United States</option>
                  </select>
                  <div class="invalid-feedback">
                    Please select a valid country.
                  </div>
                </div>
              </div>
              <hr class="my-4">
              <button class="w-100 btn btn-primary btn-lg" onclick="ClearFields();">Continue to checkout</button>
            </form>
            {% endif %}
          </div>
        </div>
      </main>

    <!--  <footer class="my-5 pt-5 text-muted text-center text-small">-->
    <!--    <p class="mb-1">&copy; 2017–2022 Company Name</p>-->
    <!--    <ul class="list-inline">-->
    <!--      <li class="list-inline-item"><a href="#">Privacy</a></li>-->
    <!--      <li class="list-inline-item"><a href="#">Terms</a></li>-->
    <!--      <li class="list-inline-item"><a href="#">Support</a></li>-->
    <!--    </ul>-->
    <!--  </footer>-->
    </div>
    <script src="{% static '/assets/dist/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static '/assets/form-validation.js' %}"></script>
  </body>
</html>
